#!/home/ActivePerl-5.10/bin/perl

use strict;
use warnings;
use DBI;
use Data::Dumper;

my $file = shift;
$file ||= 'access_log';
my $sql = qq{
select remotehost,count(remotehost) as crh from accesslog group by remotehost order by crh desc
};
my $dbh = DBI->connect("dbi:AnyData(RaiseError=>1):");
$dbh->func('accesslog','Weblog',$file,'ad_catalog');
my $sth = $dbh->prepare($sql);
$sth->execute();
while(my @res = $sth->fetchrow_array){
    print join('|',@res),"\n";
}
$sth->finish();
$dbh->disconnect();
